Skip to content
Newer
Older
100644 25 lines (19 sloc) 1.01 KB
d956003 @dhh Neat and tidy, I say
dhh authored Apr 1, 2010
1 version = File.read(File.expand_path('../../RAILS_VERSION', __FILE__)).strip
f221a6f @brynary Leverage VERSION constants from gemspecs to avoid tedious updates whe…
brynary authored Mar 1, 2010
2
67f5d61 @wycats Add rake gemspec and gemspecs to the repo
wycats authored Aug 31, 2009
3 Gem::Specification.new do |s|
9b71c55 @dhh Make your bed and clean up your gemspecs!
dhh authored Apr 1, 2010
4 s.platform = Gem::Platform::RUBY
5 s.name = 'activemodel'
6 s.version = version
7 s.summary = 'A toolkit for building modeling frameworks (part of Rails).'
56ea206 @jeremy Wordsmith gem descriptions
jeremy authored Mar 2, 2010
8 s.description = 'A toolkit for building modeling frameworks like Active Record and Active Resource. Rich support for attributes, callbacks, validations, observers, serialization, internationalization, and testing.'
d956003 @dhh Neat and tidy, I say
dhh authored Apr 1, 2010
9
5fe3dc4 @mikel Adding ruby version spec to all gemspec files to at least 1.8.7
mikel authored Feb 8, 2010
10 s.required_ruby_version = '>= 1.8.7'
67f5d61 @wycats Add rake gemspec and gemspecs to the repo
wycats authored Sep 1, 2009
11
d956003 @dhh Neat and tidy, I say
dhh authored Apr 1, 2010
12 s.author = 'David Heinemeier Hansson'
13 s.email = 'david@loudthinking.com'
14 s.homepage = 'http://www.rubyonrails.org'
15 s.rubyforge_project = 'activemodel'
9b71c55 @dhh Make your bed and clean up your gemspecs!
dhh authored Apr 1, 2010
16
d16c5cc @spastorino Change some missing README -> README.rdoc
spastorino authored Jul 22, 2010
17 s.files = Dir['CHANGELOG', 'MIT-LICENSE', 'README.rdoc', 'lib/**/*']
9b71c55 @dhh Make your bed and clean up your gemspecs!
dhh authored Apr 1, 2010
18 s.require_path = 'lib'
f430d6b @josh Make gemspecs the authoritative source instead of generating them fro…
josh authored Sep 25, 2009
19
deb00bc @brynary Read Rails version from a file instead of modifying the load path and…
brynary authored Mar 4, 2010
20 s.add_dependency('activesupport', version)
884e350 @spastorino Bump builder to 3.0.0
spastorino authored Nov 17, 2010
21 s.add_dependency('builder', '~> 3.0.0')
a5b0f70 @svenfuchs bump the i18n gem to 0.6.0beta1 and update docs for the i18n exceptio…
svenfuchs authored Apr 24, 2011
22 s.add_dependency('i18n', '~> 0.6.0beta1')
2b2b506 @spastorino Bump up bcrypt-ruby dependency to 2.1.4
spastorino authored Jan 9, 2011
23 s.add_dependency('bcrypt-ruby', '~> 2.1.4')
67f5d61 @wycats Add rake gemspec and gemspecs to the repo
wycats authored Sep 1, 2009
24 end
Something went wrong with that request. Please try again.